/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/* Nome: DENADAI_DTULTATU_CCORFORN.sql                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 08/07/2009 - Leonardo Bispo                                                */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DENADAI_DTULTATU_CCORFORN
BEFORE INSERT OR DELETE OR UPDATE
ON CCORFORN FOR EACH ROW
BEGIN
   IF INSERTING THEN
      UPDATE FORNECEDOR
         SET DTULTATUFORN = SYSDATE
       WHERE CDFORNECED = :NEW.CDFORNECED;
   END IF;
   IF DELETING THEN
      UPDATE FORNECEDOR
         SET DTULTATUFORN = SYSDATE
       WHERE CDFORNECED = :OLD.CDFORNECED;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDBANCFORN, 0) <> NVL(:NEW.CDBANCFORN, 0)) OR
         (NVL(:OLD.CDAGENFORN, 0) <> NVL(:NEW.CDAGENFORN, 0)) OR
         (NVL(:OLD.CDCCORFORN, 0) <> NVL(:NEW.CDCCORFORN, 0)) THEN
            UPDATE FORNECEDOR
               SET DTULTATUFORN = SYSDATE
             WHERE CDFORNECED = :NEW.CDFORNECED;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DENADAI_DTULTATU_CCORFORN','5.09.000'); END;
/
